nxmlfile.h File Reference

Deals with storing program data (including packet trees) in XML data files. More...

`#include <string>`
`#include "regina-core.h"`
`#include "packet/npacket.h"`

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Functions

REGINA_API bool | regina::writeXMLFile (const char *filename, NPacket *subtree, bool compressed=true)
| Deprecated routine that writes a packet tree (or subtree) to a Regina data file using Regina's native XML file format. More...
REGINA_API NPacket * | regina::readXMLFile (const char *filename)
| Deprecated routine that reads a packet tree from the given Regina data file using Regina's native XML file format. More...
REGINA_API NPacket * | regina::readFileMagic (const std::string &filename)
| Deprecated routine that reads a packet tree from the given Regina data file using Regina's native XML file format. More...

## Detailed Description

Deals with storing program data (including packet trees) in XML data files.

Deprecated:
  The global functions that were once declared in this file have been renamed, and are now declared in npacket.h.

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).